> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Download Links

> Get file download links. Populate the download request with a list of file IDs and the API responds with associated download links. Files do not exceed 20MB. 



## OpenAPI

````yaml /account-center/v1.6/supporting.yaml post /v1/files/download_links
openapi: 3.0.2
info:
  version: 0.0.1
  title: Supporting Services
servers:
  - url: https://files.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://files.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: File Service
paths:
  /v1/files/download_links:
    post:
      tags:
        - File Service
      summary: Get File Download Links
      description: >-
        Get file download links. Populate the download request with a list of
        file IDs and the API responds with associated download links. Files do
        not exceed 20MB. 
      operationId: download-links
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DownloadLinksRequest'
      responses:
        '200':
          description: OK - Successfully get file download links.
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadLinksResponse'
                title: DownloadLinksResponse
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >-
        The value set to the connected account's ID. More information at [List
        Connected
        Accounts](/account-center/v1.6/api-reference/list-connected-accounts)
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
  schemas:
    DownloadLinksRequest:
      type: object
      required:
        - file_ids
      properties:
        file_ids:
          type: array
          description: List of file IDs to retrieve download links for.
          items:
            type: string
            format: uuid
            example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
          example:
            - b3d9d2d5-4c12-4946-a09d-953e82sed2b0
            - b3d9d2d5-4c12-4946-a09d-953e82sed2b1
            - b3d9d2d5-4c12-4946-a09d-953e82sed2b2
    DownloadLinksResponse:
      type: object
      properties:
        files:
          type: array
          description: List of files with their download links.
          items:
            type: object
            required:
              - file_id
              - file_type
              - file_name
              - size
              - url
            properties:
              file_id:
                type: string
                format: uuid
                description: Unique identifier of the file.
                example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
              file_type:
                type: string
                description: File extension type (e.g., `png`, `pdf`, `docx`).
                example: png
              file_name:
                type: string
                description: Original name of the file including extension.
                example: example.png
              size:
                type: integer
                description: File size in bytes.
                example: 123456
              url:
                type: string
                format: uri
                description: Temporary download URL for the file.
                example: >-
                  https://files.uqpaytech.com/api/v1/files/b3d9d2d5-4c12-4946-a09d-953e82sed2b0
        absent_files:
          type: array
          description: List of file IDs that were requested but could not be found.
          items:
            type: string
            format: uuid
            example: b3d9d2d5-4c12-4946-a09d-953e82sed2b1
          example:
            - b3d9d2d5-4c12-4946-a09d-953e82sed2b1
            - b3d9d2d5-4c12-4946-a09d-953e82sed2b2
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: Token used to request APIs

````